namespace Netina.AdminPanel.PWA.Services.RestServices;

public interface IBlogRestApi
{
    [Get("")]
    Task<GetBlogsResponseDto> ReadAll();
    [Get("")]
    Task<GetBlogsResponseDto> ReadAll([Query] int page);
    [Get("")]
    Task<GetBlogsResponseDto> ReadAll([Query] int page, [Query] string blogName);
}